Status: Closed

Priority: Low

Assignee: Lorenzo Masini

Category: GRASS

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11549

Description

E.g.: open the "r.patch" module dialog. You will see the

"Type in map names .." field, which works just fine.

But the "[...]" browse button takes the user to a

"Save As" dialog, which is completely dysfunctional in

this context. What it should open is a widget that

allows users to select one or more maps in the current

GRASS mapset.

If that is too much work to go into QGIS 1.0.0, I'd

suggest getting rid of that button altogether. It

will be a little inconvenient for the user having

to manually type in map names, but still better

than popping up a misleading dialog.

History

#1 - 2009-03-24 02:53 AM - Markus Neteler

I have tried:

svn diff src/plugins/grass/modules

Index: src/plugins/grass/modules/r.patch.qgm

===================================================================

--- src/plugins/grass/modules/r.patch.qgm       (revision 10412)

+++ src/plugins/grass/modules/r.patch.qgm       (working copy)

@@ -4,6 +4,6 @@

 <qgisgrassmodule label="Create new raster by combining other rasters" module="r.patch">

        <option key="input"/>

        <flag key="z" answer="off" hidden="no" />

-       <file key="input" label="Type in map names separated by a comma" />

+       <option key="input" label="Alternatively, type in map names separated by comma" />

        <option key="output" />

 </qgisgrassmodule>

but this leads to a selector (no more free text field). Maybe there is something else than "file" or "option" which creates a free text field without the button

behind it?

Markus
#2 - 2009-06-17 09:25 AM - Lorenzo Masini

- Resolution set to fixed

- Status changed from Open to Closed

Fixed in commit:26fba47b (SVN r10946).

See the r.path.qgm module to use the new feature into the other modules that require it.

#3 - 2009-08-12 12:12 AM - Paolo Cavallini

- Status changed from Closed to Feedback

- Resolution deleted (fixed)

#4 - 2009-08-12 12:13 AM - Paolo Cavallini

- Status changed from Feedback to Open

#5 - 2009-08-12 12:14 AM - Paolo Cavallini

- Resolution set to fixed

- Status changed from Open to Closed
